#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.3
visibility:           public
id:                   ghcide-1.4.0.3-6YGv3pUbzTsLd9UlzHVVFu
key:                  ghcide-1.4.0.3-6YGv3pUbzTsLd9UlzHVVFu
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  687490080fd84811a9e2d4ecb3c1ea69
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.0.3
hs-libraries:         HSghcide-1.4.0.3-6YGv3pUbzTsLd9UlzHVVFu
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-8t5VYux5Upw51I0mUJc7JK
    aeson-1.5.6.0-AhBIL9gKhxRGXGkv73FVBZ array-0.5.4.0
    async-2.2.3-CZGDLBh6RSgL9JHCFAwjKy base-4.15.0.0
    base16-bytestring-1.0.1.0-KmvP8vskew2EDTXVzB6Wc4 binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-1PiOHYSUUVZIoLpQVWV1kV
    case-insensitive-1.2.1.0-6phQPT5an3P7wEaMtlBCBm containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn deepseq-1.4.5.0
    dependent-map-0.4.0.0-HbFyhq8AfQSKSzEecbt9IF
    dependent-sum-0.7.1.0-A1FKN1VL2AyEHIVw2VCxMN directory-1.3.6.1
    dlist-1.0-A8ZakkvDKerBegx9VfkpzR extra-1.7.9-9w2OrDKoStQ4pIpIgRM0kX
    filepath-1.4.2.1 fingertree-0.1.4.2-DJhlxF5HUwLLEoJ282ggos
    fuzzy-0.1.0.0-9nveM64BIKmIXnGhMPInOW ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-3dBr4MUvES6EaD2DdhvcFt
    ghc-exactprint-0.6.4-3FrkVvqnNkQ8k97cR9k3F6
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-GauKJvOR67f78To4aXu85O
    hashable-1.3.2.0-KqnNu8KSaK34NNEMi3Ty2i
    heapsize-0.3.0.1-F3vmRolbdAXKfwnqNQVf7S
    hie-bios-0.7.5-BSck4n109H8E7MI3PlOgkm
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.0.0-K4a3zVnCgRJIvOYjOUsEpz
    hls-graph-1.4.0.0-4l2fOltjTgg1M7WeijRnvr
    hls-plugin-api-1.1.0.2-6iK85XcupGx2rrVaybLTw3
    hslogger-1.3.1.0-CrnQqAkC0CJAr8EvKFWZAo
    implicit-hie-cradle-0.3.0.5-LobOaXm7IhVGILGCfOhgSm
    lens-5.0.1-FVTeVuoxA3F6EKH3qJwd6m lsp-1.2.0.0-Di5I5mqAk39q24om7Y8R3
    lsp-types-1.2.0.0-AwAXQnh4wUR3QEGljqyH7O mtl-2.2.2
    network-uri-2.6.4.1-2pemwOWf14R9AL6GN6XjUN
    opentelemetry-0.7.0-GmDEnRfciam4JCntJJ05rX
    optparse-applicative-0.16.1.0-J0PKDylNWbyHL8oyNDYwlK
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.0-bMozCNHWRi7MMwaEab1Qt
    prettyprinter-ansi-terminal-1.1.2-88fAVIFme8l4jAUaWqPjum
    regex-tdfa-1.3.1.1-FcGGj74wxarAadKoWVAImX
    retrie-1.0.0.0-BQHy6HqP2LB3QoYhmOaLyp
    rope-utf16-splay-0.3.2.0-8DPsXTm119n7xIN2FRuwj4
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-6UrOs4Z3Vlm3o9VbXT0T0m
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-D86fKHtcBDG0hpWpxyLSw stm-2.5.0.0
    syb-0.7.2.1-C9zwv20Ax29Wu6sB72o5o text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.19-ASNza9Ze70N2acP6Fevc5I
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-GzzomznddNGGyWL4BuprIY
    utf8-string-1.0.2-ADwVJork0WdFFVxQneHW6T
    vector-0.12.3.0-Ds1jjFyjexp9iWlYSOgIe8

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

